<?
include 'inclydings/gzips.php';
include_once("mysql.php");
include_once("inclydings/antixak.php");
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
include 'inclydings/sesi.php';

$config_filefoto="1500";
$config_ize="1500000";
$config_fotolist="5";
echo 'Фотогалерея Lineage2 </a><br><br> ';
echo'<a href="gallery.php?'.$sd.'">Галерея сайта</a> | <a href="gallery.php?event=addform&'.$sd.'">Добавить фото</a><br><br>';
if (isset($_GET['event'])) {
if ($_GET['event']=="add") {  // Событие добавления сообщения if $event=add
// возвращаем значения данных из формы и присваиваем их переменным
if (isset ($_POST['name']) & isset ($_POST['msg'])) {$name=$_POST['name']; $msg=$_POST['msg'];} else {exit;}

// Вырезаем ПРОБЕЛьные символы
$name=trim($name);
$msg=trim($msg);
$fotosize=$_FILES['file']['size'];
$foto=$_FILES['file']['name'];
$size = GetImageSize($_FILES['file']['tmp_name']); // Узнаем размеры
$width = $size[0];
$height = $size[1];





$data = file("L2dbnam/esql2db/datagallery/fotobase.dat");
for ($p=0;$p<count($data);$p++) {
$dat_arr = explode("|", $data[$p]);
$valid_types = array("gif","jpg", "jpeg" ,"png");
if ($dat_arr[6] == $foto)
{echo 'Файл с таким именем '.$foto.' существует в базе, пожалуйста добавьте фотографию с другим именем<br>';
include_once"inclydings/down.php";
exit;}}



if ($name == "" || strlen($name) > 50) {echo 'Название пустое, или превышает 50 символов!';  include_once"inclydings/down.php"; exit;}
if ($msg == "" || strlen($msg) > 500) {echo 'Ваша подпись пустая или превышает 300 символов.'; include_once"inclydings/down.php";  exit;}

$filename = $_FILES['file']['name']; // определяем имя файла
// проверяем расширение файла
$ext = substr($filename, 1 + strrpos($filename, "."));


if($width>$config_filefoto || $height>$config_filefoto || $height<"25" || $width<"25" ) {
echo'Размер картинки не должен превышать разрешения '.$config_filefoto.'*'.$config_filefoto.' px<br>';
include_once"inclydings/down.php";
exit;}



if(eregi("[^a-z0-9.()+_-]",$foto)){
echo'В названии изображения '.$foto.' присутствуют недопустимые символы';
include_once"inclydings/down.php";
exit;}

if($fotosize=="2" || $fotosize>$config_ize) {
echo'Вес изображения превышает допустимое значение, не более '.$config_ize.' бит';
include_once"inclydings/down.php";
exit;}

require_once "inclydings/flood.php";
if (CheckIP ()){echo'Нельзя так часто добавлять фотографии';
include_once"inclydings/down.php";
exit;}



if($_FILES['file']['size']!="0" and $_FILES['file']['size']<$config_ize) {copy($_FILES['file']['tmp_name'], "L2dbnam/esql2db/datagallery/".$_FILES['file']['name']);
$ch=$_FILES['file']['name'];


echo 'Идет загрузка изображения...<br>';

$size = getimagesize("L2dbnam/esql2db/datagallery/$ch");

if($size[2]=="2"){
echo'<img src="resize.php?act=jpg&image='.$ch.'&show=full" alt="">';}
elseif($size[2]=="1"){
echo'<img src="resize.php?act=gif&image='.$ch.'&show=full" alt="">';}
elseif($size[2]=="3"){
echo'<img src="resize.php?act=png&image='.$ch.'&show=full" alt="">';}



echo '<img src="L2dbnam/esql2db/datagallery/'.$_FILES['file']['name'].'" alt="">';
echo '<br> (Размер: '.$_FILES['file']['size'].' байт)';


} else {
echo 'Произошла ошибка при копировании изображения'; exit;}
$foto=$_FILES['file']['name'];
$fotoksize=round($fotosize/10.24)/100; // размер фото в килобайтах
$fotosize=$_FILES['file']['size'];



$size = getimagesize("L2dbnam/esql2db/datagallery/$foto");


//   обрезаем лишние символы в емайле и сообщении

$log=htmlspecialchars(stripslashes($log));
$msg=htmlspecialchars(stripslashes($msg));
$name=htmlspecialchars(stripslashes($name));
$foto=htmlspecialchars(stripslashes($foto));
$msg=preg_replace ("|[\r\n]+|si","",$msg);
$name=preg_replace ("|[\r\n]+|si","",$name);

// Запись данных в файл по шаблону:
// собщение|имя|login|дата|время||фото_большое|размер|разрешение_длина|разрешение_ширина|
$text=$msg.'|'.$name.'|'.$log.'|'.$date.'|'.$time.'||'.$foto.'|'.$fotoksize.'|'.$size[0].'|'.$size[1].'|';
$fp=fopen("L2dbnam/esql2db/datagallery/fotobase.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);

echo 'Спасибо <b>'.$log.'</b>, Ваша фотография успешно добавлена. <br><a href="gallery.php?'.$sd.'">Продолжить</a>'; include_once"inclydings/down.php";
exit;
}



if ($_GET['event']=="addform") {
include 'include/sesi.php';
if (isset($user)) {

$text = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$text[0]);
if($udata[49]!=="wml"){
echo '<b>Добавление ФОТО</b>';
echo '<form action="gallery.php?event=add&'.$sd.'" method="post" name="form" enctype="multipart/form-data">';
echo 'Название: <br><input type="text" value="" name="name" /><br>Прикрепить фото: <br>';
echo '<input type="file" name="file" /><br>Подпись к фото: <br><textarea cols="25" rows="3" name="msg"></textarea><br><br>';
echo '<input type="submit" value="Добавить" /></form><hr>';
echo 'Разрешается добавлять фотки с расширением ';
$config_ize2=round($config_ize/1024,1);
echo'<br> весом не более '.$config_ize2.' kb и размером не более'.$config_filefoto.'*'.$config_filefoto.' px';
}else{
echo'Для того чтобы добавить фото у вас должен быть включен не wml-cкин<br>Измените тему у себя в настройках!';}
}else{echo'Вы не авторизованы,<br> Фотографии могут добавлять только авторизованные <br>Вам необходимо <a href="index?'.$sd.'"> авторизоваться</a><br> или сперва <a href="reg.php?'.$sd.'"> зарегистрироваться</a><br>';} }




// При запросе - показываем КРУПНОЕ ИЗОБРАЖЕНИЕ
if ($_GET['event']=="showimg") {

if (isset($_GET['num'])) {$num=$_GET['num']+1;} else {$num=0;}
$lines = file("L2dbnam/esql2db/datagallery/fotobase.dat");
$dti=explode("|",$lines[$num]);
echo '<a href="anketa.php?nick='.$dti[2].'&'.$sd.'&go=look">'.$dti[2].'</a>';


$size = getimagesize("L2dbnam/esql2db/datagallery/$dti[6]");

if($size[2]=="2"){
echo'<img src="resize.php?act=jpg&image='.$dti[6].'&show=full" alt="">';}
elseif($size[2]=="1"){
echo'<img src="resize.php?act=gif&image='.$dti[6].'&show=full" alt="">';}
elseif($size[2]=="3"){
echo'<img src="resize.php?act=png&image='.$dti[6].'&show=full" alt="">';}
$vis=round($dti[9]/2);
$wup=round($dti[8]/2);

print "<br><img src=\"L2dbnam/esql2db/datagallery/$dti[6]\" height=200 width=200 alt=\"\"/><br/> ";

echo 'Описание: '.$dti[0].'<br>';
echo 'Разрешение: <b>'.$dti[8].' х '.$dti[9].'</b>, ';
echo 'Размер: <b>'.$dti[7].'</b> Кб.<br>';



}


} else {



$lines = file("L2dbnam/esql2db/datagallery/fotobase.dat");
if($lines){
$total= count($lines);}
$maxi = count($lines)-1;
$total=(int)$total;
if($total<1){echo'<br><b>Фотографий нет, будь первым!</b><br>';}



if (isset($_GET['page'])) {$page=$_GET['page'];} else {$page="1";}
if ($page=="0") {$page="1";} else {$page=abs($page);}


// Выводим $config_fotolist фото на текущей странице
$maxpage=ceil(($maxi+1)/$config_fotolist); if ($page>$maxpage) {$page=$maxpage;}

$fm=$maxi-$config_fotolist*($page-1); if ($fm<"0") {$fm=$config_fotolist;}
$lm=$fm-$config_fotolist; if ($lm<"0") {$lm="-1";}

do { $dt = explode("|", $lines[$fm]);
$fm--;
$tp=$fm; $teknum=$maxi-$tp;
if(!$dt[0]==""){


echo 'Загрузил(а) <a href="anketa.php?nick='.$dt[2].'&'.$sd.'&go=look">'.$dt[2].'</a> ';

echo'<a href="gallery.php?event=showimg&num='.$tp.'&'.$sd.'">';

$wup2=round($dt[8]/5);
$vis2=round($dt[9]/5);
$size = getimagesize("L2dbnam/esql2db/datagallery/$dt[6]");
if($size[2]=="2"){
echo'<img src="resize.php?act=jpg&image='.$dt[6].'" alt="">';}
elseif($size[2]=="1"){
echo'<img src="resize.php?act=gif&image='.$dt[6].'" alt="">';}
elseif($size[2]=="3"){
echo'<img src="resize.php?act=png&image='.$dt[6].'" alt="">';}
print "<br><img src=\"L2dbnam/esql2db/datagallery/$dt[6]\" height=100 width=100 alt=\"\"/></a><br/> ";
echo'<a href="koment.php?num='.$tp.'&amp;'.$sd.'">Комментарий</a><br/><br/>';
echo'</a>Описание: '.$dt[0].'<br>';
echo'Разрешение: <b>'.$dt[8].' х '.$dt[9].'</b>,';
echo'Размер: <b>'.$dt[7].'</b> Кб.<br>';
}


$cm=1;
$zz=$maxi-$fm;
if ((round(($maxi-$fm)))==(($maxi-$fm))) {$cm++;}
$whm=$lm; $whe=$fm;
} while($whm < $whe);

if($total>$config_fotolist){
echo '<br><hr>Страницы:  ';
$ba=ceil($total/$config_fotolist);

$asd=($page*$config_fotolist)-($config_fotolist*3);
$asd2=($page*$config_fotolist)+($config_fotolist*2);
if($asd<0){$asd=0;}
if($asd2>$total){$asd2=$total;}

if($asd<$total && $asd>1){echo ' <a href="gallery.php?page=1&'.$sd.'">1</a> ... ';}

for($i=$asd; $i<$asd2;) {$ip=$i/$config_fotolist+1;

if ($page==$ip) {echo ' <b>'.(int)$ip.'</b> ';} else {echo ' <a href="gallery.php?page='.(int)$ip.'&'.$sd.'">'.(int)$ip.'</a> ';}
$i=$i+$config_fotolist;}
if($asd2<$total){echo ' ... <a href="gallery.php?page='.(int)$ba.'&'.$sd.'">'.(int)$ba.'</a>';}
}
echo'<br>Всего фотографий: '.$total;
echo'<br><br>* Загружаемая фотография должна соответствовать действенности, в худшем случае ваша фотография будет удалена/персонаж с которого происходила загрузка фотографии будет ЗАБЛОКИРУВАН</a>';
}
echo'<br><br><a href="gallery.php?'.$sd.'">На главную</a>';
include_once"inclydings/down.php";
?>

